#
# spec file for package tftp (Version 0.48)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           tftp
BuildRequires:  tcpd-devel
URL:            http://www.kernel.org/pub/software/network/tftp/
License:        BSD License and BSD-like
Group:          Productivity/Networking/Ftp/Clients
Requires:       inet-daemon netcfg
Autoreqprov:    on
Version:        0.48
Release:        1.6
Summary:        Trivial File Transfer Protocol (TFTP)
Source:         tftp-hpa-%{version}.tar.bz2
Source1:        tftp.xinetd
Patch:          tftp-hpa-0.43_include_sys_params.patch
Patch1:         tftp-hpa-0.46_colon_check.patch
Patch2:         tftp-hpa-0.46_bcopy_secfix.patch
Patch3:         tftp-hpa-0.43_readline.diff
Patch4:         tftp-hpa-0.46_libedit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations and for getting or saving network
component configuration files.



Authors:
--------
    H. Peter Anvin <hpa@zytor.com>

%debug_package
%prep
%setup -n tftp-hpa-%version
%patch
%patch1
%patch2
%patch3
%patch4

%build
%configure
%{__make}

%install
%makeinstall INSTALLROOT="%{buildroot}"
%{__install} -D -m 0644 %{S:1} %{buildroot}/etc/xinetd.d/tftp

%clean
%{__rm} -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README README.security tftpd/sample.rules
%{_bindir}/tftp
%{_sbindir}/in.tftpd
%{_mandir}/man1/tftp.1.gz
%{_mandir}/man8/in.tftpd.8.gz
%{_mandir}/man8/tftpd.8.gz
%config(noreplace) /etc/xinetd.d/tftp

%changelog
* Thu Feb 01 2007 - mrueckert@suse.de
- update package for SLES10 SP1 (#236771)
- disabled libedit for SLES10 SP1
* Thu Feb 01 2007 - mrueckert@suse.de
- update to version 0.48:
  - Unbreak -l -s in the server, which was broken in 0.47.
- additional changes from 0.47:
  - Add -L option to the server to run standalone without
  detaching from the shell.
  - Parallel make fix.
* Tue Jan 09 2007 - mrueckert@suse.de
- update to version 0.46:
  - Minor portability improvements.
- additional change from 0.45:
  Add -l (literal) option to the client, to override the special
  treatment of the colon (:) character as a hostname separator.
- replaced tftp-hpa-0.43_syntax.diff with tftp-hpa-0.46_colon_check.patch:
  restore a behavior which was broken with 0.35
- merged tftp-hpa-0.43_signdness.patch with
  tftp-hpa-0.43_bcopy_secfix.patch. new patch:
  tftp-hpa-0.46_bcopy_secfix.patch.
- added tftp-hpa-0.46_libedit.patch:
  Build against libedit to enable lineediting support.
* Thu Dec 07 2006 - mrueckert@suse.de
- update to version 0.44:
  - Allow the client to specify a range of local port numbers, just
  like the server can.
  - Fix sending SIGHUP to update the regular expression table.
* Fri Oct 20 2006 - mrueckert@suse.de
- update to version 0.43:
  - Fix double-free error on ^c in client.
  - Try to deal with clients that send TFTP requests to broadcasts
  (apparently some recent Sun boxes do this instead of using the
  address told by DHCP.  Bad Sun!  Bad Sun!)
  - Portability fixes.
- removed first chunk from tftp-hpa-0.40.diff and renamed it to
  tftp-hpa-0.43_include_sys_params.patch. the first chunk was
  fixed upstream.
- patches rediffed and renamed:
  tftp-bcopy-secfix.diff -> tftp-hpa-0.43_bcopy_secfix.patch
  tftp-hpa-0.40.readline.diff -> tftp-hpa-0.43_readline.diff
  tftp-hpa-0.40-syntax.diff -> tftp-hpa-0.43_syntax.diff
- added tftp-hpa-0.43_signdness.patch:
  fixed signedness warnings which where mostlikely caused by the
  bcopy fixes.
* Tue Mar 14 2006 - mrueckert@suse.de
- update to version 0.42:
  o Try to disable path MTU discovery for TFTP connections (it's
  useless anyway.) (0.42)
  o Add a hack to allow the admin to specify a range of local port
  numbers to use. (0.42)
  o Fix local IP number handling on systems which present
  IP_RECVDSTADDR in recvmsg(). (0.42)
  o Fix bug by which patterns of the form \U\1 weren't converted
  correctly. (0.41)
* Tue Mar 14 2006 - mrueckert@suse.de
- removed tftp-hpa-0.40.make.diff
- removed autoreconf -fi. it caused the builderrors
- minimized the build/install sections
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 23 2005 - mrueckert@suse.de
- Do not install xinetd config with executable flag.
- Added tcpd-devel so we can build with libwrap
- Do not let the build process delete aconfig.h at the wrong time.
* Tue Feb 08 2005 - mmj@suse.de
- Update to tftp-hpa-0.40 including:
  o Fix timeout bug
  o Support perl style \U...\E and \L...\E, as well as allow
  matching rules to be inverted (execute if rule *doesn't* match.)
  o Fix bug which would cause "r" remapping rules to be incorrectly
  rejected.
* Wed Oct 27 2004 - mmj@suse.de
- Fix security hole with possibly overflowing bcopy [#47676]
* Fri Sep 03 2004 - mmj@suse.de
- Update to tftp-hpa-0.38 including portability fixes
* Thu Aug 12 2004 - mmj@suse.de
- Update to tftp-hpa-0.37 which fixes a pathology where a client
  sending ACKs for the wrong packet can prevent proper retransmission.
* Mon Feb 09 2004 - mmj@suse.de
- Update to tftp-hpa-0.36 which is a portability release
* Fri Jan 09 2004 - mmj@suse.de
- Update to tftp-hpa-0.35:
  o Add an option to control the maximum value of blksize
  negotiated.
  o Removed workaround for obsolete Cygwin problem.
  o Don't use getopt() -- the -c option doesn't work correctly
  since it depends on the ordering of arguments and options.
  It is now possible to do:
  tftp -m binary hostname -c get filename
  This was previous possible by doing:
  tftp -m binary -c get hostname:filename
  ... but it seemed that was counterintuitive to people.
  o Somewhat improved configure scripts.
* Fri Oct 17 2003 - mmj@suse.de
- Don't build as root
* Wed Jul 02 2003 - mmj@suse.de
- Add patch from mls to fix syntax
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
* Tue May 06 2003 - mmj@suse.de
- Update to 0.34 which is just a small code cleanup to fix build on
  Solaris.
- Add tftpd/sample.rules (thanks to A. Schulze for noticing)
* Sat Mar 29 2003 - mmj@suse.de
- Update to 0.33 including:
   Further improvement of error messages
   Configuration fix: readline needs termcap
   Support running the tftp client from the command line
* Fri Jan 24 2003 - mmj@suse.de
- Add xinetd configuration file
* Thu Nov 14 2002 - mmj@suse.de
- Update to 0.32 including better error messages
* Mon Nov 04 2002 - mmj@suse.de
- Update to 0.31 including:
  o A check to make sure xinetd (in particular) doesn't
  pass an IPv6 socket.
  o Fix some problems related to timeout negotiation.
  o Allow the user to set the default timeout speed.
* Thu Oct 03 2002 - mmj@suse.de
- Update to 0.30 including;
  o Better timeout algorithm
  o New "utimeout" option
  o Change loglevel of clientside errors to LOG_WARNING
  o autoconf portability improvements
  o Minor bugfixes
* Mon May 13 2002 - mmj@suse.de
- Update to 0.29 including:
  o Posixly correctness.
  o Fixed a bug which could cause a standalone server to exit with
  a "recvfrom: Interrupted system call" log message if signals
  arrive at a particularly inopportune moment.
  o Fix a macro substitution bug
* Mon Feb 11 2002 - mmj@suse.de
- Update to 0.28
* Tue Nov 20 2001 - mmj@suse.de
- Update to 0.27
* Tue Oct 16 2001 - mmj@suse.de
- Update to 0.21
* Sat Aug 04 2001 - kukuk@suse.de
- Update to 0.20
* Fri Jul 27 2001 - kukuk@suse.de
- Update to 0.19
* Tue Jul 10 2001 - kukuk@suse.de
- Add tcp wrapper to neededforbuild
* Tue Jul 10 2001 - kukuk@suse.de
- Update to 0.17
* Thu Jun 14 2001 - cihlar@suse.cz
- requires inet-daemon, not inetd
* Fri Mar 30 2001 - kukuk@suse.de
- Update to 0.16
* Thu Mar 29 2001 - kukuk@suse.de
- Update to 0.15
* Tue Jan 02 2001 - kukuk@suse.de
- Add IP_PKTINFO patch from Cord Seele (Bug #4961)
* Tue Dec 12 2000 - draht@suse.de
- make tftpd(8) not only drop euid but all uids
* Sun Oct 08 2000 - kukuk@suse.de
- Split from nkitb
